import request from '@/utils/request'

// 运营首页-头部数据汇总
export function getOperateHomePageHead(query) {
    return request({
        url: '/report/account/operateHomePageHead',
        method: 'get',
        params: query
    })
}
// 项目维度数据
export function getProjectCostList(query) {
    return request({
        url: '/report/account/getProjectCostList',
        method: 'get',
        params: query
    })
}
// 运营组维度数据
export function getOperationsGroupCostList(query) {
    return request({
        url: '/report/account/getOperationsGroupCostList',
        method: 'get',
        params: query
    })
}
// 运营数据
export function getOperateCostList(query) {
    return request({
        url: '/report/account/getOperateCostList',
        method: 'get',
        params: query
    })
}
// 运营数据-趋势图
export function getOperateCostTrendChartList(query) {
    return request({
        url: '/report/account/getOperateCostTrendChartList',
        method: 'get',
        params: query
    })
}


//  项目列表

export function getProjectAndAccountByUserId(query) {
    return request({
        url: '/kuaishou/project/getProjectAndAccountByUserId',
        method: 'get',
        params: query
    })
}
//  统计报表-总计

export function getStatisticalReportHead(query) {
    return request({
        url: '/report/account/getStatisticalReportHead',
        method: 'post',
        data: query
    })
}

// 访问量统计趋势图
export function getvisitorStatisticsTrendChartList(query) {
    return request({
        url: '/report/account/getvisitorStatisticsTrendChartList',
        method: 'post',
        data: query
    })
}

// 访问量统计趋势图-点击展示数据
export function nodeAccountCost(query) {
    return request({
        url: '/report/account/nodeAccountCost',
        method: 'post',
        data: query
    })
}

// 账户数据报表
export function getAccountDataReport(query) {
    return request({
        url: '/report/account/getAccountDataReport',
        method: 'get',
        params: query
    })
}

// 自定义列
export function getReportFields(query) {
    return request({
        url: '/report/account/getReportFields',
        method: 'get',
        params: query
    })
}

// 自定义列-存储
export function addKuaishouFields(query) {
    return request({
        url: '/report/account/addKuaishouFields',
        method: 'post',
        data: query
    })
}
// 自定义列-获取
export function getKuaishouFieldsByUserId(query) {
    return request({
        url: '/report/account/getKuaishouFieldsByUserId',
        method: 'get',
        params: query
    })
}























